summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/libnacl/Manifest1
-rw-r--r--dev-python/libnacl/libnacl-1.7.2.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/dev-python/libnacl/Manifest b/dev-python/libnacl/Manifest
index 8ac4bfadb5b..fa52dde3759 100644
--- a/dev-python/libnacl/Manifest
+++ b/dev-python/libnacl/Manifest
@@ -1,2 +1,3 @@
DIST libnacl-1.6.1.tar.gz 39789 BLAKE2B 7c73f67d4faec8d6e53df21eb3c394d4f36754cd9ad1dfa63ef45aab43bb1832cace7446688b2b29b9923539e00d59f3a78c719b8b8770b2c6c217db19dd2f6d SHA512 90fd9302cdfbe84acfc7dff0ac95eeb05fd1bb346cd8b220613174d5d1ae5f627be06b4d588fd4a939c49a119ca557d68a06d3cbe1c0d409a253fdca96d944ac
DIST libnacl-1.7.1.tar.gz 43232 BLAKE2B 4b6d1434280b548740c873ebbf0eec2a85ca67f1fdb5ebfaf27e2ca3673e7d9175f4427e9d3c84b210094e3ad0248d7c1c1db978ae8e977fcebaf20e6e3f719c SHA512 4beb6a5f30688ea72836512f771c566f2c0c03bbdeade4f4135b3068945a3b3e0da826f97a78f495887e852c36629ddb33e876696263404e74fac11e3b7bc9e9
+DIST libnacl-1.7.2.tar.gz 43343 BLAKE2B 4f7d03661e1385033c51821bf673c81ced11a1523b371ec7da42ed9cf75bdaadee1e679059dfae85871530652b5fea80bfb91c19a8a1eefb4ecf1b8661f11e19 SHA512 a4efbf73f73d9493ac365efa5a5bd6481f85ce4c880ad236bbf7478090bdea857e78e33e445c4e467d2a2032040863b835f32f9a942d2f1e467015bd76b0d469
diff --git a/dev-python/libnacl/libnacl-1.7.2.ebuild b/dev-python/libnacl/libnacl-1.7.2.ebuild
new file mode 100644
index 00000000000..22ed96d32aa
--- /dev/null
+++ b/dev-python/libnacl/libnacl-1.7.2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{6..9})
+inherit distutils-r1
+
+DESCRIPTION="Python ctypes wrapper for libsodium"
+HOMEPAGE="https://libnacl.readthedocs.org/"
+SRC_URI="https://github.com/saltstack/libnacl/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-libs/libsodium"
+BDEPEND="${RDEPEND}"
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v -p 'test_*.py' tests/ || die "Tests failed with ${EPYTHON}"
+}